<ng-container *appVar="(hasErrors$ | async) as hasErrors">
  <ng-container *appVar="(isLoading$ | async) as isLoading">
    <ng-container *appVar="(units$ | async) as units">
      <app-page title="Создать счёт"
                [showBackButton]="true"
                (backButtonClicked)="handleBackButtonClick()"
      >

        <mat-error *ngIf="hasErrors"
                   class=" m-t-24"
        >
          Не удалось создать счёт
        </mat-error>

        <form [formGroup]="form"
              (ngSubmit)="handleFormSubmit()"
              class="form m-t-24">
          <mat-form-field appearance="fill">
            <mat-label>Валюта счёта</mat-label>
            <mat-select [formControl]="form.controls.currency">
              <mat-option *ngFor="let unit of units" [value]="unit.type">
                {{unit.symbol}} {{unit.fullName}}
              </mat-option>
            </mat-select>

            <mat-error *ngIf="form.controls.currency.hasError('required') && form.controls.currency.touched">
              Значение не указано
            </mat-error>
          </mat-form-field>

          <button type="submit"
                  mat-flat-button
                  [disabled]="isLoading"
                  color="primary"
                  class="fancy-button"
          >
            <span class="sub-title">
              Создать счёт
            </span>
          </button>
        </form>
      </app-page>
    </ng-container>
  </ng-container>
</ng-container>
